# Java Persistence Preferences page – Errors/Warnings

Property | Description
--- | ---

Enable project specific settings

Select the severity level for reporting validation problem for each category:

- Project

- Persistence unit

- Type

- Attribute

- Database

- Inheritance

- Queries and generators

You can expand each category to display the possible error and warning messages.

Related tasks

- Validating mappings and reporting problems